﻿@model Mandiri.Lelang.ViewModel.Web.AssetListViewModel

<div class="container">
    <ol class="breadcrumb">
        <li><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
        <li><a href="@Url.Action("favorite", "member")">Daftar Agunan Favorite <span class="badge">@Model.TotalRecords</span></a></li>
    </ol>
</div>
<div class="container">
    @if (Model.Listing != null && Model.Listing.Count > 0 && Model.TotalRecords > 0)
    {
        <h4><span class="label label-primary">Halaman 1 dari @(Convert.ToInt64(Math.Ceiling((double)Model.TotalRecords / 12)).ToString())</span></h4>
        for (int i = 0; i < Convert.ToInt32(Math.Ceiling((double)Model.Listing.Count / 4)); i++)
        {
        <div class="row">
            @for (int j = (i * 4); j < ((i + 1) * 4); j++)
            {
                if (j < Model.Listing.Count)
                {
                @Html.Partial("_AssetBox", Model.Listing[j], new ViewDataDictionary() { { "col-size", "3" }, { "abbreviated", "0" } })
                }
            }
        </div>
        }
        using (Html.BeginForm("asset", "schedule", FormMethod.Get, htmlAttributes: new { id = "pagingForm", @class = "form", role = "form", autocomplete = "off" }))
        {
        <input type="hidden" name="CurrentPageIndex" value="@Model.CurrentPageIndex" />
        @Html.HiddenFor(m => m.ScheduleID)
        <div class="btn-group">
            <button type="submit" name="page" class="btn btn-default" value="prev">&laquo;</button>
            @for (long i = Model.StartPage; i <= Model.EndPage; i++)
            {
                if (Model.CurrentPageIndex + 1 == i)
                {
                <button type="submit" name="page" class="btn btn-primary" value="@i">@i</button>
                }
                else
                {
                <button type="submit" name="page" class="btn btn-default" value="@i">@i</button>
                }
            }
            <button type="submit" name="page" class="btn btn-default" value="next">&raquo;</button>
        </div>
        }
    }
</div>
